import http from "@/api";
const ROLE = `/role`;
// 角色列表
export const getRoleListApi = (params: any) => {
    return http.get<any>(`${ROLE}/index`, params);
};
// 角色详情
export const getRoleListDetailsApi = (params: any) => {
    return http.get<any>(`${ROLE}/read/${params}`);
};
// 角色列表删除
export const getRoleListDelApi = (params: any) => {
    return http.delete<any>(`${ROLE}/delete/${params}`);
};

// 角色列表更新
export const getRoleListEditUpApi = (params: any) => {
    const { id } = params;
    return http.put<any>(`${ROLE}/update/${id}`, params);
};

//角色列表新增
export const getRoleListSaveApi = (params: any) => {
    return http.post<any>(`${ROLE}/save`, params);
};
//角色列表接口
export const getRolesListApi = () => {
    return http.get<any>(`roles`);
};
